### Class

# Rest ProxyAuth

#### Description [src]

    class Rest.ProxyAuth : GObject.Object
    {
      RestProxyAuthPrivate* priv
    }

`RestProxyAuth` has no publicly available members.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### rest_proxy_auth_cancel

Cancel the authentication process by cancelling the associated `SoupMessage`. It results in returning `GError` REST_PROXY_ERROR_CANCELLED to the function that requested the authentication.

deprecated: 0.9

###### rest_proxy_auth_pause

Pauses `auth`.

deprecated: 0.9

###### rest_proxy_auth_unpause

Unpauses a paused `RestProxyAuth` instance.

deprecated: 0.9

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct RestProxyAuthClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.